<PreferenceScreen xmlns:android="http://schemas.android.com/apk/res/android">

    <SwitchPreference
        android:defaultValue="false"
        android:key="@string/id_vcs_enable"
        android:summary="@string/pref_vcs_enable"
        android:title="@string/pref_vcs_title" />

    <ListPreference
        android:entries="@array/pref_vcs_list_keys"
        android:entryValues="@array/pref_vcs_list_values"
        android:key="@string/id_vcs_list"
        android:negativeButtonText="@null"
        android:positiveButtonText="@null"
        android:title="@string/pref_vcs_list_title" />
    <EditTextPreference
        android:key="@string/id_vcs_git_url"
        android:title="@string/pref_vcs_url"
        />

    <PreferenceCategory
        android:title="@string/pref_vcs_git_auth_category"
        android:key="@string/id_vcs_git_auth_category"/>
    <EditTextPreference
        android:key="@string/id_vcs_git_user"
        android:title="@string/pref_vcs_git_user_title"/>
    <EditTextPreference
        android:key="@string/id_vcs_git_pass"
        android:title="@string/pref_vcs_git_pass_title"
        android:inputType="textPassword"/>

    <PreferenceCategory
        android:title="@string/pref_vcs_git_commit_info_category"
        android:key="@string/id_vcs_git_commit_info_category"/>
    <ListPreference
        android:key="@string/id_vcs_git_branches"
        android:title="@string/pref_vcs_branch_title"
        />
    <EditTextPreference
        android:key="@string/id_vcs_git_ci_username"
        android:title="@string/pref_vcs_git_username_title"/>
    <EditTextPreference
        android:key="@string/id_vcs_git_ci_user_email"
        android:title="@string/pref_vcs_git_user_email_title"/>

    <Preference android:title="@string/pref_vcs_git_pull" android:key="@string/id_vcs_git_pull" />
</PreferenceScreen>
